# Class T8Mesh

##### Index

### Constructors

constructor

### Properties

descriptor
style
styleIndex
transform
transformIndex

### Accessors

indexCount
vertexCount

### Methods

getData
getVertexData

## Constructors

### constructor

- new T8Mesh(
  descriptor: T8GIMeshDescriptor,
  styleIndex: number,
  transformIndex: number,
  style: T8GIStyle,
  transform: T8GITransform,
  _getVertexData: (mesh: T8Mesh) => BimVertexData,
  ): T8Mesh

  #### Parameters

  - descriptor: T8GIMeshDescriptor
  - styleIndex: number
  - transformIndex: number
  - style: T8GIStyle
  - transform: T8GITransform
  - _getVertexData: (mesh: T8Mesh) => BimVertexData

  #### Returns T8Mesh

## Properties

### `Readonly` descriptor

descriptor: T8GIMeshDescriptor

### `Readonly` style

style: T8GIStyle

### `Readonly` styleIndex

styleIndex: number

### `Readonly` transform

transform: T8GITransform

### `Readonly` transformIndex

transformIndex: number

## Accessors

### indexCount

- get indexCount(): number

  #### Returns number

### vertexCount

- get vertexCount(): number

  #### Returns number

## Methods

### getData

- getData(): BimVertexData

  #### Returns BimVertexData

### getVertexData

- getVertexData(): Promise<BimVertexData>

  #### Returns Promise<BimVertexData>